com.smartgwt.client.widgets.form.fields

## Class CheckboxItem

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.form.fields.FormItem
        - - com.smartgwt.client.widgets.form.fields.CheckboxItem

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasBlurHandlers, HasChangedHandlers, HasChangeHandlers, HasClickHandlers, HasDoubleClickHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasFocusHandlers, HasIconClickHandlers, HasIconKeyPressHandlers, HasItemHoverHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasPickerIconClickHandlers, HasTitleClickHandlers, HasTitleDoubleClickHandlers, HasTitleHoverHandlers, HasValueHoverHandlers, HasValueIconClickHandlers
  Direct Known Subclasses:
    BooleanItem

      public class CheckboxItem
      extends FormItem

  Checkbox form item, implemented with customizable checkbox images

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `scClassName`

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckboxItem()`
    `CheckboxItem(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `CheckboxItem(java.lang.String name)`
    `CheckboxItem(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, DrawItem defaults)` Changes the defaults for DrawItem AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `static void` | `changePickerIconDefaults(FormItemIcon defaults)`
    `java.lang.Boolean` | `getAllowEmptyValue()` By default checkboxes allow the user to toggle between true and false values only.
    `java.lang.String` | `getCheckedImage()` URL for the image to display when this checkbox is selected, or checked.
    `java.lang.String` | `getEditProxyConstructor()` Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    `java.lang.Boolean` | `getLabelAsTitle()` By default a checkboxItem sets `showTitle`:true, and so takes up two cells with the default `TitleOrientation` of "left" (see `form layout\n overview`).
    `static CheckboxItem` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getPartialSelectedImage()` URL for the image to display when this checkbox is partially selected
    `java.lang.Boolean` | `getShowLabel()` Should we show the label text next to the checkbox item.
    `java.lang.Boolean` | `getShowTitle()` CheckboxItem has special behavior for titles, see `labelAsTitle`.
    `java.lang.Boolean` | `getShowValueIconDisabled()` Should a "Disabled" state icon be shown when the item is disabled
    `java.lang.Boolean` | `getShowValueIconDown()` Should a "Down" state icon be shown when the mouse goes down over this checkbox
    `java.lang.Boolean` | `getShowValueIconOver()` Should an "Over" state icon be shown when the user rolls over this checkbox
    `java.lang.String` | `getTextBoxStyle()` Base CSS class for this item's title text
    `java.lang.String` | `getTitleStyle()` Base CSS class for this item's title cell.
    `java.lang.String` | `getUncheckedImage()` URL for the image to display when this checkbox is not selected, or unchecked
    `java.lang.String` | `getUnsetImage()` URL for the image to display when this checkbox is unset.
    `java.lang.Boolean` | `getValueAsBoolean()` Return the value of the checkbox as a Boolean.
    `int` | `getWidth()` Width for the CheckboxItem, including both checkbox image and `label`.
    `void` | `setAllowEmptyValue(java.lang.Boolean allowEmptyValue)` By default checkboxes allow the user to toggle between true and false values only.
    `void` | `setCheckedImage(java.lang.String checkedImage)` URL for the image to display when this checkbox is selected, or checked.
    `static void` | `setDefaultProperties(CheckboxItem checkboxItemProperties)` Class level method to set the default properties of this class.
    `void` | `setEditProxyConstructor(java.lang.String editProxyConstructor)` Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    `void` | `setLabelAsTitle(java.lang.Boolean labelAsTitle)` By default a checkboxItem sets `showTitle`:true, and so takes up two cells with the default `TitleOrientation` of "left" (see `form layout\n overview`).
    `void` | `setPartialSelectedImage(java.lang.String partialSelectedImage)` URL for the image to display when this checkbox is partially selected
    `void` | `setShowLabel(java.lang.Boolean showLabel)` Should we show the label text next to the checkbox item.
    `void` | `setShowTitle(java.lang.Boolean showTitle)` CheckboxItem has special behavior for titles, see `labelAsTitle`.
    `void` | `setShowUnsetImage(java.lang.Boolean showUnsetImage)` Determines what image to display when the value for this checkbox is unset.
    `void` | `setShowValueIconDisabled(java.lang.Boolean showValueIconDisabled)` Should a "Disabled" state icon be shown when the item is disabled
    `void` | `setShowValueIconDown(java.lang.Boolean showValueIconDown)` Should a "Down" state icon be shown when the mouse goes down over this checkbox
    `void` | `setShowValueIconOver(java.lang.Boolean showValueIconOver)` Should an "Over" state icon be shown when the user rolls over this checkbox
    `void` | `setTextBoxStyle(java.lang.String textBoxStyle)` Base CSS class for this item's title text
    `void` | `setTitleStyle(java.lang.String titleStyle)` Base CSS class for this item's title cell.
    `void` | `setUncheckedImage(java.lang.String uncheckedImage)` URL for the image to display when this checkbox is not selected, or unchecked
    `void` | `setUnsetImage(java.lang.String unsetImage)` URL for the image to display when this checkbox is unset.
    `void` | `setWidth(int width)` Width for the CheckboxItem, including both checkbox image and `label`.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPickerIconClickHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, asSGWTComponent, blurItem, canEditCriterion, clearValue, disable, enable, error, error, errorIfNotCreated, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanSelectText, getCanvasAutoChild, getCellHeight, getCellStyle, getChangeOnKeypress, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDisabled, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEndRow, getErrorIconHeight, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getExportFormat, getFetchMissingValues, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFullDataPath, getGlobalTabIndex, getHeight, getHeightAsString, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverHeight, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getIcon, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIconVAlign, getIconWidth, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLoadingDisplayValue, getLocateItemBy, getMultipleValueSeparator, getName, getOperator, getOptionCriteria, getOptionFilterContext, getOptionOperationId, getPageLeft, getPageRect, getPageTop, getPicker, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconWidth, getPixelHeight, getPixelWidth, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyDisplay, getReadOnlyTextBoxStyle, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRowSpan, getSaveOnEnter, getScClassName, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDisabled, getShowErrorIcon, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowOverIcons, getShowPickerIcon, getShowRTL, getShowValueIconOnly, getStartRow, getStaticHeight, getStopOnError, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitleVAlign, getTooltip, getTop, getType, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsRecordList, getValueField, getValueFieldName, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getVisible, getVisibleHeight, getVisibleWidth, getWidthAsString, getWrapTitle, hasAdvancedCriteria, hide, hideIcon, invalidateDisplayValueCache, isCreated, isDisabled, isDrawn, isVisible, redraw, redraw, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanSelectText, setCellHeight, setCellStyle, setChangeOnKeypress, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisabled, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setExportFormat, setFetchMissingValues, setFilterLocally, setForeignDisplayField, setFormat, setGlobalTabIndex, setHeight, setHeight, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverHeight, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconVAlign, setIconWidth, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setLeft, setLoadingDisplayValue, setLocateItemBy, setMultipleValueSeparator, setName, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyDisplay, setReadOnlyTextBoxStyle, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRowSpan, setSaveOnEnter, setScClassName, setSelectOnClick, setSelectOnFocus, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDisabled, setShowErrorIcon, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIfCondition, setShowOverIcons, setShowPickerIcon, setShowRTL, setShowValueIconOnly, setStartRow, setStaticHeight, setStopOnError, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitleVAlign, setTooltip, setTop, setType, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setWidth, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### CheckboxItem

          public CheckboxItem()

    - #### CheckboxItem

          public CheckboxItem(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### CheckboxItem

          public CheckboxItem(java.lang.String name)

    - #### CheckboxItem

          public CheckboxItem(java.lang.String name,
                      java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static CheckboxItem getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     DrawItem defaults)

      Changes the defaults for DrawItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - DrawItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changePickerIconDefaults

          public static void changePickerIconDefaults(FormItemIcon defaults)

    - #### setAllowEmptyValue

          public void setAllowEmptyValue(java.lang.Boolean allowEmptyValue)

      By default checkboxes allow the user to toggle between true and false values only. Setting this property to true will allow the user to toggle between three values - `true`, `false` and unset.
      Parameters:
        `allowEmptyValue` - Default value is false

    - #### getAllowEmptyValue

          public java.lang.Boolean getAllowEmptyValue()

      By default checkboxes allow the user to toggle between true and false values only. Setting this property to true will allow the user to toggle between three values - `true`, `false` and unset.
      Returns:
        Boolean

    - #### setCheckedImage

          public void setCheckedImage(java.lang.String checkedImage)

      URL for the image to display when this checkbox is selected, or checked.

      This image is implemented using the `valueIcons subsystem`, and may be modified via the standard valueIcons properties such as `valueIconWidth`

      Note that this is the base image name - if `showValueIconOver` et al are set, the state (`"Over"`, `"Down"` and `"Disabled"`) will be added to this name as the user interacts with the checkbox, as well as the `".gif"` extension

      Parameters:
        `checkedImage` - See `SCImgURL` . Default value is "[SKIN]/DynamicForm/checked.gif"
      See Also:
        `Appearance overview and related methods`

    - #### getCheckedImage

          public java.lang.String getCheckedImage()

      URL for the image to display when this checkbox is selected, or checked.

      This image is implemented using the `valueIcons subsystem`, and may be modified via the standard valueIcons properties such as `valueIconWidth`

      Note that this is the base image name - if `showValueIconOver` et al are set, the state (`"Over"`, `"Down"` and `"Disabled"`) will be added to this name as the user interacts with the checkbox, as well as the `".gif"` extension

      Returns:
        See `SCImgURL`
      See Also:
        `Appearance overview and related methods`

    - #### setEditProxyConstructor

          public void setEditProxyConstructor(java.lang.String editProxyConstructor)

      Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
      Overrides:
        `setEditProxyConstructor` in class `FormItem`
      Parameters:
        `editProxyConstructor` - See `SCClassName` . Default value is "CheckboxItemEditProxy"

    - #### getEditProxyConstructor

          public java.lang.String getEditProxyConstructor()

      Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
      Overrides:
        `getEditProxyConstructor` in class `FormItem`
      Returns:
        See `SCClassName`

    - #### setLabelAsTitle

          public void setLabelAsTitle(java.lang.Boolean labelAsTitle)

      By default a checkboxItem sets `showTitle`:true, and so takes up two cells with the default `TitleOrientation` of "left" (see `form layout\n overview`). However, the title cell is left blank by default, and the title specified by `title` is shown inside the formItem's cell instead, in an element called the "label".

      To instead show the title in it's original location, set `labelAsTitle:true`. You can also set `showLabel`:false to suppress the label and/or title altogether.

      Parameters:
        `labelAsTitle` - Default value is null

    - #### getLabelAsTitle

          public java.lang.Boolean getLabelAsTitle()

      By default a checkboxItem sets `showTitle`:true, and so takes up two cells with the default `TitleOrientation` of "left" (see `form layout\n overview`). However, the title cell is left blank by default, and the title specified by `title` is shown inside the formItem's cell instead, in an element called the "label".

      To instead show the title in it's original location, set `labelAsTitle:true`. You can also set `showLabel`:false to suppress the label and/or title altogether.

      Returns:
        Boolean

    - #### setPartialSelectedImage

          public void setPartialSelectedImage(java.lang.String partialSelectedImage)

      URL for the image to display when this checkbox is partially selected
      Parameters:
        `partialSelectedImage` - See `SCImgURL` . Default value is "[SKIN]/DynamicForm/partialcheck.gif"
      See Also:
        `Appearance overview and related methods`

    - #### getPartialSelectedImage

          public java.lang.String getPartialSelectedImage()

      URL for the image to display when this checkbox is partially selected
      Returns:
        See `SCImgURL`
      See Also:
        `Appearance overview and related methods`

    - #### setShowLabel

          public void setShowLabel(java.lang.Boolean showLabel)

      Should we show the label text next to the checkbox item.
      Parameters:
        `showLabel` - Default value is true

    - #### getShowLabel

          public java.lang.Boolean getShowLabel()

      Should we show the label text next to the checkbox item.
      Returns:
        Boolean

    - #### setShowTitle

          public void setShowTitle(java.lang.Boolean showTitle)

      CheckboxItem has special behavior for titles, see `labelAsTitle`.
      Overrides:
        `setShowTitle` in class `FormItem`
      Parameters:
        `showTitle` - Default value is true

    - #### getShowTitle

          public java.lang.Boolean getShowTitle()

      CheckboxItem has special behavior for titles, see `labelAsTitle`.
      Overrides:
        `getShowTitle` in class `FormItem`
      Returns:
        Boolean

    - #### setShowValueIconDisabled

          public void setShowValueIconDisabled(java.lang.Boolean showValueIconDisabled)

      Should a "Disabled" state icon be shown when the item is disabled

      Note : This is an advanced setting

      Parameters:
        `showValueIconDisabled` - Default value is true

    - #### getShowValueIconDisabled

          public java.lang.Boolean getShowValueIconDisabled()

      Should a "Disabled" state icon be shown when the item is disabled
      Returns:
        Boolean

    - #### setShowValueIconDown

          public void setShowValueIconDown(java.lang.Boolean showValueIconDown)

      Should a "Down" state icon be shown when the mouse goes down over this checkbox

      Note : This is an advanced setting

      Parameters:
        `showValueIconDown` - Default value is true

    - #### getShowValueIconDown

          public java.lang.Boolean getShowValueIconDown()

      Should a "Down" state icon be shown when the mouse goes down over this checkbox
      Returns:
        Boolean

    - #### setShowValueIconOver

          public void setShowValueIconOver(java.lang.Boolean showValueIconOver)

      Should an "Over" state icon be shown when the user rolls over this checkbox

      Note : This is an advanced setting

      Parameters:
        `showValueIconOver` - Default value is true

    - #### getShowValueIconOver

          public java.lang.Boolean getShowValueIconOver()

      Should an "Over" state icon be shown when the user rolls over this checkbox
      Returns:
        Boolean

    - #### setTextBoxStyle

          public void setTextBoxStyle(java.lang.String textBoxStyle)

      Base CSS class for this item's title text
      Overrides:
        `setTextBoxStyle` in class `FormItem`
      Parameters:
        `textBoxStyle` - See `FormItemBaseStyle` . Default value is "labelAnchor"
      See Also:
        `Appearance overview and related methods`

    - #### getTextBoxStyle

          public java.lang.String getTextBoxStyle()

      Base CSS class for this item's title text
      Overrides:
        `getTextBoxStyle` in class `FormItem`
      Returns:
        See `FormItemBaseStyle`
      See Also:
        `Appearance overview and related methods`

    - #### setTitleStyle

          public void setTitleStyle(java.lang.String titleStyle)

      Base CSS class for this item's title cell.

      Note: This styling applies to the standard form item title cell for this item - it does not apply to item's `label`. To modify the styling for that text, use `textBoxStyle` instead.

      Overrides:
        `setTitleStyle` in class `FormItem`
      Parameters:
        `titleStyle` - See `FormItemBaseStyle` . Default value is null
      See Also:
        `Appearance overview and related methods`

    - #### getTitleStyle

          public java.lang.String getTitleStyle()

      Base CSS class for this item's title cell.

      Note: This styling applies to the standard form item title cell for this item - it does not apply to item's `label`. To modify the styling for that text, use `textBoxStyle` instead.

      Overrides:
        `getTitleStyle` in class `FormItem`
      Returns:
        See `FormItemBaseStyle`
      See Also:
        `Appearance overview and related methods`

    - #### setUncheckedImage

          public void setUncheckedImage(java.lang.String uncheckedImage)

      URL for the image to display when this checkbox is not selected, or unchecked
      Parameters:
        `uncheckedImage` - See `SCImgURL` . Default value is "[SKIN]/DynamicForm/unchecked.gif"
      See Also:
        `Appearance overview and related methods`

    - #### getUncheckedImage

          public java.lang.String getUncheckedImage()

      URL for the image to display when this checkbox is not selected, or unchecked
      Returns:
        See `SCImgURL`
      See Also:
        `Appearance overview and related methods`

    - #### setUnsetImage

          public void setUnsetImage(java.lang.String unsetImage)

      URL for the image to display when this checkbox is unset. Note that if `showUnsetImage` is false or `allowEmptyValue` is false the `uncheckedImage` will be used for null values rather than this image.
      Parameters:
        `unsetImage` - See `SCImgURL` . Default value is "[SKIN]/DynamicForm/unsetcheck.gif"
      See Also:
        `Appearance overview and related methods`

    - #### getUnsetImage

          public java.lang.String getUnsetImage()

      URL for the image to display when this checkbox is unset. Note that if `showUnsetImage` is false or `allowEmptyValue` is false the `uncheckedImage` will be used for null values rather than this image.
      Returns:
        See `SCImgURL`
      See Also:
        `Appearance overview and related methods`

    - #### setWidth

          public void setWidth(int width)

      Width for the CheckboxItem, including both checkbox image and `label`. Note that if `showLabel` is false, this property will have no effect - the item will render at the size required to contain the icon.
      Overrides:
        `setWidth` in class `FormItem`
      Parameters:
        `width` - Default value is 150
      See Also:
        `FormLayout overview and related methods`, Spanning Example

    - #### getWidth

          public int getWidth()

      Width for the CheckboxItem, including both checkbox image and `label`. Note that if `showLabel` is false, this property will have no effect - the item will render at the size required to contain the icon.
      Overrides:
        `getWidth` in class `FormItem`
      Returns:
        int
      See Also:
        `FormLayout overview and related methods`, Spanning Example

    - #### setDefaultProperties

          public static void setDefaultProperties(CheckboxItem checkboxItemProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `checkboxItemProperties` - properties that should be used as new defaults when instances of this class are created

    - #### setShowUnsetImage

          public void setShowUnsetImage(java.lang.Boolean showUnsetImage)

      Determines what image to display when the value for this checkbox is unset. Set to true to display the `unsetImage` for null values, or false to use the `uncheckedImage` for both null and explicitly unchecked values.

      If this attribute is not set, the `unsetImage` for null values if `allowEmptyValue` is true for this item, otherwise the unchecked image will be used.

      Parameters:
        `showUnsetImage` - showUnsetImage Default value is IRA

    - #### getValueAsBoolean

          public java.lang.Boolean getValueAsBoolean()

      Return the value of the checkbox as a Boolean. If the value is not already a boolean, or is unset and (@link com.smartgwt.client.widgets.form.fields.CheckboxItem#getAllowEmptyValue} returns true, then null will be returned.
      Returns:
        value of this element